@echo off

:: --- Installiertes JDK suchen und als Pfad setzen ---

pushd %ProgramFiles%\Java\jdk*6*2*\bin
set path=%CD%
echo.---------------------------------------------
echo. used JDK: %CD%
echo.---------------------------------------------
popd

:: --- ins aktuelle Verzeichnis wechseln ---

pushd "%~dp1"


:: --- gewhlt Klassen-Datei kompilieren ---

javac %1


if ERRORLEVEL 1 (
	GOTO :BADENDE
)

if exist "%~n1.jar" (
	del "%~n1.jar"
)
if exist MANIFEST.MF (
	del MANIFEST.MF
)


:: --- MANIFEST.MF - Datei erstellen ---

echo.Manifest-Version: 1.0>MANIFEST.MF
echo.Created-By: 1.6.0_24 (Sun Microsystems Inc.)>>MANIFEST.MF
echo.Main-Class: %~n1>>MANIFEST.MF


:: --- JAR-Archiv erstellen ---

jar cmf MANIFEST.MF "%~n1.jar" *.class


:: --- nicht mehr bentigte Dateien loeschen ---
del "%~dp1*.class"
del MANIFEST.MF
GOTO :ENDE


:BADENDE
if exist "%~n1.jar" (
	del "%~n1.jar"
)
if exist MANIFEST.MF (
	del MANIFEST.MF
)
pause

:ENDE
